QScintilla 2.6.1

- Main Page
- Classes
- Directories

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Public Member Functions | Protected Member Functions
QsciLexerLua Class Reference

`#include <qscilexerlua.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Comment = 1, LineComment = 2,
  Number = 4, Keyword = 5, String = 6,
  Character = 7, LiteralString = 8, Preprocessor = 9,
  Operator = 10, Identifier = 11, UnclosedString = 12,
  BasicFunctions = 13, StringTableMathsFunctions = 14, CoroutinesIOSystemFacilities = 15,
  KeywordSet5 = 16, KeywordSet6 = 17, KeywordSet7 = 18,
  KeywordSet8 = 19, Label = 20
  }

## Public Slots

- virtual void setFoldCompact (bool fold)

## Public Member Functions

- QsciLexerLua (QObject *parent=0)
- virtual ~QsciLexerLua ()
- const char * language () const
- const char * lexer () const
- QStringList autoCompletionWordSeparators () const
- const char * blockStart (int *style=0) const
- int braceStyle () const
- QColor defaultColor (int style) const
- bool defaultEolFill (int style) const
- QFont defaultFont (int style) const
- QColor defaultPaper (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- bool foldCompact () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerLua class encapsulates the Scintilla Lua lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the Lua lexer.

Enumerator:

  Default | The default.
  Comment | A block comment.
  LineComment | A line comment.
  Number | A number.
  Keyword | A keyword.
  String | A string.
  Character | A character.
  LiteralString | A literal string.
  Preprocessor | Preprocessor.
  Operator | An operator.
  Identifier | An identifier.
  UnclosedString | The end of a line where a string is not closed.
  BasicFunctions | Basic functions.
  StringTableMathsFunctions | String, table and maths functions.
  CoroutinesIOSystemFacilities | Coroutines, I/O and system facilities.
  KeywordSet5 | A keyword defined in keyword set number 5. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet6 | A keyword defined in keyword set number 6. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet7 | A keyword defined in keyword set number 7. The class must be sub-classed and re-implement keywords() to make use of this style.
  KeywordSet8 | A keyword defined in keyword set number 8. The class must be sub-classed and re-implement keywords() to make use of this style.
  Label | A label.

## Constructor & Destructor Documentation

QsciLexerLua::QsciLexerLua | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerLua with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerLua::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

QColor QsciLexerLua::defaultColor | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  defaultPaper()

Reimplemented from QsciLexer.

QColor QsciLexerLua::defaultPaper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  defaultColor()

Reimplemented from QsciLexer.

const char* QsciLexerLua::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerLua::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerLua::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

bool QsciLexerLua::foldCompact | ( |  | ) | const

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

virtual void QsciLexerLua::setFoldCompact | ( | bool | fold | ) | `[virtual, slot]`

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerLua::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerLua::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.